org.eclipse.actf.visualization.util.html2view

## Class HtmlLine2Id

- java.lang.Object
- - org.eclipse.actf.visualization.util.html2view.HtmlLine2Id

    public class HtmlLine2Id
    extends Object

Utility class to get ACTF_ID from line number

### Constructor Summary

Constructors
Constructor and Description
`HtmlLine2Id(Vector<Html2ViewMapData> mapV)` Constructor of the class
`HtmlLine2Id(Vector<Html2ViewMapData> mapV, boolean is1base)` Constructor of the class

### Method Summary

Methods
`Vector<Integer>` `getId(int target)` Get ACTF_IDs included in the target line

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HtmlLine2Id

    public HtmlLine2Id(Vector<Html2ViewMapData> mapV)

Constructor of the class

Parameters:
  `mapV` - vector of `Html2ViewMapData`

#### HtmlLine2Id

    public HtmlLine2Id(Vector<Html2ViewMapData> mapV,
               boolean is1base)

Constructor of the class

Parameters:
  `mapV` - vector of `Html2ViewMapData`
  `is1base` - set true if line number is start from 1

### Method Detail

#### getId

    public Vector<Integer> getId(int target)

Get ACTF_IDs included in the target line

Parameters:
  `target` - target line number
Returns:
  ACTF_IDs included in the target line